<p align="center">
  <a href="https://metroui.org.ua/v4/">
    <img src="https://metroui.org.ua/images/logo4.png" alt="">
  </a>

  <h3 align="center">Metro 4 Components Library</h3>
</p>

<p align="center">
    Sleek, intuitive, and powerful front-end framework for faster and easier web development.
 Build responsive, mobile-first projects on the web with the first front-end component library in Metro Style.
    <br>
    <a href="https://metroui.org.ua/"><strong>Explore Metro 4 docs »</strong></a>
</p>

<p align="center">
Metro 4 is an MIT-licensed open source project. 
It's an independent project with its ongoing development made possible entirely thanks to the support by these
<br>
<a href="https://github.com/olton/Metro-UI-CSS/blob/master/BACKERS.md"><strong>awesome Backers</strong></a>.
</p>
<p align="center">
<a href="https://www.patreon.com/metroui">
	<img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="160">
</a>
</p>
<br>
<hr>
 
## Current Version 4.3.7

### Status
[![Build Status](https://travis-ci.org/olton/Metro-UI-CSS.svg?branch=master)](https://travis-ci.org/olton/Metro-UI-CSS)
![Dependencies](https://img.shields.io/badge/Dependencies-none-darklime.svg)
[![CSS gzip size](http://img.badgesize.io/olton/Metro-UI-CSS/master/build/css/metro-all.min.css?compression=gzip&label=CSS+gzip)](https://github.com/olton/Metro-UI-CSS/blob/master/build/css/metro-all.min.css)
[![JS gzip size](http://img.badgesize.io/olton/Metro-UI-CSS/master/build/js/metro.min.js?compression=gzip&label=JS+gzip)](https://github.com/olton/Metro-UI-CSS/blob/master/build/js/metro.min.js)
[![Icons gzip size](http://img.badgesize.io/olton/Metro-UI-CSS/master/build/mif/metro.woff?compression=gzip&label=Icons+gzip)](https://github.com/olton/Metro-UI-CSS/tree/master/build/mif)
![GitHub release](https://img.shields.io/github/v/release/olton/Metro-UI-CSS?color=darkLime)
[![npm version](https://badge.fury.io/js/metro4.svg)](https://badge.fury.io/js/metro4)
![Nuget](https://img.shields.io/nuget/v/Metro4.svg?color=darklime)
![Website](https://img.shields.io/website/https/metroui.org.ua.svg)

### Release
![GitHub release](https://img.shields.io/github/v/release/olton/Metro-UI-CSS)
![GitHub release](https://img.shields.io/github/v/release/olton/Metro-UI-CSS?include_prereleases&label=pre-release)

###  Info
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?style=flat)](https://github.com/olton/Metro-UI-CSS/blob/master/LICENSE)
![GitHub issues](https://img.shields.io/github/issues-raw/olton/Metro-UI-CSS.svg)
![GitHub code size in bytes](https://img.shields.io/github/languages/code-size/olton/Metro-UI-CSS.svg)

### Donation
![Donations on Patreon](https://img.shields.io/badge/Patreon-$90-red.svg)
![Donations on Open Collective](https://img.shields.io/badge/OpenCollective-$1-darklime.svg)

### Community

[![Join the chat at https://discord.gg/NydRab3](https://img.shields.io/badge/chat-on%20discord-brightgreen.svg?style=flat)](https://discord.gg/NydRab3)
[![Join the chat at https://gitter.im/metro4/Lobby](https://badges.gitter.im/metro4/Lobby.svg)](https://gitter.im/metro4/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![Join the forum at https://forum.metroui.org.ua](https://img.shields.io/badge/metro-forum-orange.svg)](https://forum.metroui.org.ua)


### Docs

 Documentation and Demo: [metroui.org.ua](https://metroui.org.ua/)   

### Releases

Metro 4 releases frequently. I Am create release when there are significant bug fixes, new APIs or components.
The usual frequency of release of the new version is one week on Sundays.

### LTS
**Long term support** of older versions of Metro 4 does not currently exist. 
If your current version of Metro 4 works for you, you can stay on it for as long as you'd like. 
If you want to make use of new features as they come in you should upgrade to a newer version.

### Credits
- Styles created using the [less](http://lesscss.org) preprocessor by  [Alexis Sellier](https://github.com/cloudhead)
- preCode by Leon Sorokin [preCode](https://github.com/leeoniya/preCode.js)
- strftime by Tom Doan [strftime](https://github.com/thdoan/strftime)
- function b64toBlob by [Jeremy Banks](http://stackoverflow.com/users/1114/jeremy-banks)
- Date.getWeek by [Nick Baicoianu](http://www.epoch-calendar.com)
- Swipe component based on [Matt Bryson](https://github.com/mattbryson/TouchSwipe-Jquery-Plugin)  TouchSwipe plugin
- All who brought something good 
- Thank you jQuery and Goodbye!

### Browser Compatibility
![Chrome](https://raw.github.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png) | ![Firefox](https://raw.github.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png) | ![Edge](https://raw.github.com/alrra/browser-logos/master/src/edge/edge_48x48.png) | ![IE](https://raw.github.com/alrra/browser-logos/master/src/archive/internet-explorer_9-11/internet-explorer_9-11_48x48.png) | ![Safari](https://raw.github.com/alrra/browser-logos/master/src/safari/safari_48x48.png) | ![Opera](https://raw.github.com/alrra/browser-logos/master/src/opera/opera_48x48.png)
--- | --- | --- | --- | --- | --- |
Latest ✔ | Latest ✔ | Latest ✔ | 11+ ✔ | 9.1+ ✔ | Latest ✔ |

### Cross-browser Testing
Cross-browser Testing Platform and Open Source Provided by [Sauce Labs](https://saucelabs.com).
Sauce Labs ensures your favorite mobile apps and websites work flawlessly on every browser, operating system, and device.
<p>
<a href="https://saucelabs.com"><img src="https://metroui.org.ua/images/Sauce-Labs_Horiz_Red-Grey_RGB_200x28.png" width="200"></a>
</p>

Cross-browser Testing Platform Provided by [BrowserStack](https://www.browserstack.com/).
Seamless experience by testing on 2000+ real devices and browsers.
<p>
<a href="https://www.browserstack.com/"><img src="https://metroui.org.ua/images/Browserstack-logo.svg" width="200"></a>
</p>

### License
Metro 4 has [MIT License](https://github.com/olton/Metro-UI-CSS/blob/master/LICENSE)

### Old version
Metro UI CSS 3.x you can find in a repo [Metro-UI-CSS-3](https://github.com/olton/Metro-UI-CSS-3)     
Metro UI CSS 2.x you can find in a repo [Metro-UI-CSS-2](https://github.com/olton/Metro-UI-CSS-2)     
Metro UI CSS 0.x you can find in a repo [Metro-UI-CSS-095](https://github.com/olton/Metro-UI-CSS-095) 

 Documentation and Demo for V3: [metroui.org.ua/v3](https://metroui.org.ua/v3/).   
 Documentation and Demo for V2: [metroui.org.ua/v2](https://metroui.org.ua/v2/).   
 Documentation and Demo for V0: [metroui.org.ua/v0](https://metroui.org.ua/v0/).   

### Thanks
Thanks to all. Special thanks to all those who financially supported the project.    

### Testers
Thanks to all who a [testing](https://github.com/olton/Metro-UI-CSS/blob/master/TESTERS.md) a project. 

